VerifyClass (groovy 2.4.15 API)
Date: 2018-03-23

Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

- Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `execute()`
    `` | `void` | `setDir(String dir)`
    `` | `void` | `setVerbose(boolean v)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, addDate, setIncludes, setExcludes, setCaseSensitive, addType, setFollowSymlinks, setProject, XsetIgnore, XsetItems, addSelector, createIncludesFile, setDefaultexcludes, addContainsRegexp, createExcludesFile, setIncludesfile, addAnd, addNone, addMajority, addSize, addOr, addDifferent, addCustom, addFilename, addContains, addDepth, addDepend, createExclude, addPresent, selectorElements, hasSelectors, selectorCount, createInclude, createPatternSet, setExcludesfile, addNot, getSelectors, appendSelector, addModified, log, log, log, log, init, execute, getTaskName, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, getTaskType, setTaskType, setTaskName, getOwningTarget, setOwningTarget, maybeConfigure, perform, bindToOwner, reconfigure, clone, getLocation, setLocation, getDescription, getProject, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Task` | `log, log, log, log, init, execute, getTaskName, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, getTaskType, setTaskType, setTaskName, getOwningTarget, setOwningTarget, maybeConfigure, perform, bindToOwner, reconfigure, clone, getLocation, setLocation, getDescription, getProject, setDescription, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)